#!/bin/bash
# Script for creation of a pool record
# Parameters:
# db_alias db_user library_name pool_name tape_count pool_type rule_placement rule_access spread_tape_frame max_free_space min_free_space tape_type
# pool_type may be: 'tsm', 'ltfs'
# tape_type may be: 8 (for LTO-5), 16 (for TS1140), 32 (for LTO-6)
# rule_placement may be: 'spread', 'ranged'
#
database=$1
user_name=$2
# connect to the database
if [[ $user_name != "-" ]] ; then
    db2 "connect to $database user $user_name"
else
    db2 "connect to $database"
fi
library_manager_name=$3
library_name=$4
pool_name=$5
tape_count=$6
pool_type=$7
rule_placement=$8
rule_access=$9
spread_tape_frame=${10}
max_free_space=${11}
min_free_space=${12}
tape_type=${13}
db2 "INSERT INTO DMAE.POOLS (POOL_ID, LIBRARY_MANAGERS_MANAGER_ID, LIBRARIES_LIBRARY_ID, POOL_NAME, TAPE_COUNT, POOL_TYPE, RULE_PLACEMENT, RULE_ACCESS, SPREAD_TAPE_FRAME, MAX_FREE_SPACE, MIN_FREE_SPACE, TAPE_TYPE, LAST_MODIFIED, CREATION_TIMESTAMP) VALUES (NEXT VALUE FOR DMAE.POOL_ID, (SELECT MANAGER_ID FROM DMAE.LIBRARY_MANAGERS WHERE LIBRARY_MANAGER_NAME = '${library_manager_name}'), (SELECT LIBRARY_ID FROM DMAE.LIBRARIES WHERE LIBRARY_NAME = '${library_name}'), '${pool_name}', ${tape_count}, '${pool_type}', '${rule_placement}', '${rule_access}', ${spread_tape_frame}, ${max_free_space}, ${min_free_space}, ${tape_type}, CURRENT TIMESTAMP, CURRENT TIMESTAMP)"
db2 terminate
