#!/bin/bash
# Script for creating a tape 
# Parameters:
# db_alias db_user tape_id pool_name tape_format tape_type capacity_total block_size state
#
# tape_format may be: 'ltfs', 'tsm'
# tape_type may be: 8 (for LTO-5), 16 (for TS1140), 32 (for LTO-6)
# capacity_total is 2836825899008 Byte (= 2649 GB) for LTO5
# block_size is 1048576 bytes (= 1 MB) for LTFS
# state may be 
#	STATE_ACCESSIBLE = 0
#	STATE_OFFSITE = 5
#	STATE_REMOVED = 6
#
database=$1
user_name=$2
# connect to the database
if [[ $user_name != "-" ]] ; then
    db2 "connect to $database user $user_name"
else
    db2 "connect to $database"
fi
tape_id=${3}
pool_name=${4}
tape_format=${5}
tape_type=${6}
capacity_total=${7}
block_size=${8}
state=${9}
db2 "INSERT INTO DMAE.TAPES(TAPE_ID, POOLS_POOL_ID, TAPE_FORMAT, TAPE_TYPE, CAPACITY_TOTAL, CAPACITY_USED_PHYSICAL, CAPACITY_USED_LOGICAL, BLOCK_SIZE, STATE, STATE_TIMESTAMP, LAST_MODIFIED, CREATION_TIMESTAMP) VALUES ('${tape_id}', (SELECT POOL_ID FROM DMAE.POOLS WHERE POOL_NAME = '${pool_name}'), '${tape_format}', ${tape_type}, ${capacity_total}, 0, 0, ${block_size}, ${state}, CURRENT TIMESTAMP, CURRENT TIMESTAMP, CURRENT TIMESTAMP)"
db2 "UPDATE DMAE.POOLS SET TAPE_COUNT = (SELECT COUNT(TAPE_ID) FROM DMAE.TAPES WHERE POOLS_POOL_ID = (SELECT POOL_ID FROM DMAE.POOLS WHERE POOL_NAME = '${pool_name}')) WHERE POOL_NAME = '${pool_name}'"
db2 terminate
