<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ntf="COM.ibm.dma.admira.notify"
  xmlns:sde="java:COM.ibm.dma.admira.cmd.tools.StorageDataExporter"
  version="2.0">

  <!-- Add new element -->
  <xsl:output method="xml" indent="yes"/>

  <!-- Recreate the top level  node -->
  <xsl:template match="/">

  <xsl:param name="priority">500</xsl:param>
  <xsl:param name="tape_id"><xsl:value-of select="admira/ntf:properties/param[@name='tape_id']"/></xsl:param>
  <xsl:param name="target_cartridge"><xsl:value-of select="admira/ntf:properties/param[@name='target_cartridge']" /></xsl:param>
  <xsl:param name="target_tape"><xsl:value-of select="admira/ntf:properties/param[@name='target_tape']" /></xsl:param>
  <xsl:param name="orgunit">ltfs</xsl:param>

    <admira>
      <fileName createTempFile="yes">
        <xsl:value-of select="admira/ntf:properties/param[@name='xml_filename']"/>
      </fileName>
     <content type="xml">
        <admira version="2.5.5" type="variables">
          <xsl:for-each select="admira/ntf:content/admira/tape/file">
            <xsl:if test="@state='0'">
              <properties id="template_variables">
                <param name="priority"><xsl:value-of select="$priority"/></param>
                <param name="tape_id"><xsl:value-of select="$tape_id" /></param>
                <param name="target_cartridge"><xsl:value-of select="$target_tape" /></param>
                <param name="target_essence_name"><xsl:value-of select="@essence_name"/></param>
                <param name="target_file_name"><xsl:value-of select="@name"/></param>
                <param name="orgunit"><xsl:value-of select="$orgunit" /></param>
              </properties>
            </xsl:if>
          </xsl:for-each>
        </admira>
      </content>
    </admira>
  </xsl:template>
</xsl:stylesheet>

