<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
                 xmlns:gs="global_settings.xsl">
  <xsl:import href="global_settings.xsl"/>
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="properties">

    <xsl:param name="PRIORITY" select="param[@name='priority']"/>
    <xsl:param name="SOURCE_FILENAME" select="param[@name='target_essence_name']" />
    <xsl:param name="TARGET_FILENAME" select="param[@name='target_file_name']"/>
    <xsl:param name="SOURCE_TAPE" select="param[@name='tape_id']" />
    <xsl:param name="TARGET_TAPE" select="param[@name='target_cartridge']" />
    <xsl:param name="ORGUNIT" select="param[@name='orgunit']" />

    <job id="copy_between_ltfs_job">
      <param name="title">Copy between LTFS [<xsl:value-of select="$SOURCE_FILENAME"/>]</param>

      <step agent="get_from_ltfs" id="start_get_from_ltfs">
        <param name="title">Get from LTFS [<xsl:value-of select="$SOURCE_FILENAME"/>]</param>
        <param name="source_filename"><xsl:value-of select="$SOURCE_FILENAME"/></param>
        <param name="target_filename"><xsl:value-of select="$SOURCE_FILENAME"/></param>
        <param name="source_tape"><xsl:value-of select="$SOURCE_TAPE"/></param>
        <param name="hold_in_cache">yes</param>
        <param name="org_unit"><xsl:value-of select="$ORGUNIT"/></param>
      </step>

      <step agent="put_to_ltfs" id="put_files_to_destnation">
        <param name="title">Put to LTFS [<xsl:value-of select="$TARGET_FILENAME"/></param>
        <param name="source_filename"><xsl:value-of select="$SOURCE_FILENAME"/></param>
        <param name="target_filename"><xsl:value-of select="$TARGET_FILENAME"/></param>
	<param name="target_tape"><xsl:value-of select="$TARGET_TAPE"/></param>
	<param name="org_unit"><xsl:value-of select="$ORGUNIT"/></param>
	<param name="predlist">
	  <value>start_get_from_ltfs</value>
	</param>

      </step>
    </job>
  </xsl:template>
</xsl:stylesheet>
