<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
<mapping>
  <template name="/home/dmae/manager/etc/templates-ev/Sample_MxfIndex.xsl" 
            label="Sample MXF Index" user="dmae">
    <templateinfo>SAMPLE: Create an index file for later partial retrieve from a MXF essence.</templateinfo>
    <dir name="*"/>
    <subsystem name="*"/>
    <filetype name="*" format="*" />
  </template>
  <param>
    <group label="Job parameters">
      <select name="PRIORITY" label="Priority"  type="text" size="1">
        Select the priority at which the job should be executed.
        <option label="LOW"      value="LOW"></option>
        <option label="MEDIUM"   value="MEDIUM"></option>
        <option label="HIGH"     value="HIGH"></option>
        <option label="CRITICAL" value="CRITICAL"></option>
      </select>
    </group>
    <group label="Source and target file names">
	  <input name="SOURCE_FILENAME" type="text" size="50" label="Filename of file" value="${essence}">
	    The name of the source MXF file to process.
	  </input>
	  <input name="INDEX_FILENAME" type="text" size="50" label="Index filename" value="">
	    The name of the index file file to create.
	  </input> 
	  <input name="KEY_FILENAME" type="text" size="50" label="Key filename" value="">
	    The name of the file containing keys for indexing.
	  </input>     
      <input name="ORGUNIT_IN" type="text" size="10" label="Organization unit" value="${essence.org_unit}">
        Optional: The Organization Unit for this file.
      </input>
     </group>
   </param>
</mapping>
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
                 xmlns:gs="global_settings.xsl">
  <xsl:import href="global_settings.xsl"/>
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="properties">
    
    <xsl:param name="PRIORITY" select="param[@name='PRIORITY']"/>
    <xsl:param name="SOURCE_FILENAME" select="param[@name='SOURCE_FILENAME']" />
    <xsl:param name="INDEX_FILENAME" select="param[@name='INDEX_FILENAME']" />
    <xsl:param name="KEY_FILENAME" select="param[@name='KEY_FILENAME']" />
    <xsl:param name="ORGUNIT_IN" select="param[@name='ORGUNIT_IN']" />

    <xsl:variable name="ORGUNIT">
      <xsl:value-of select="gs:getValue($ORGUNIT_IN,$DEFAULT_ORGUNIT)"/>
    </xsl:variable>
    
    <job id="mxf_create_index">
      <param name="title">Creation of an index file for partial retrieve from MXF [<xsl:value-of select="$SOURCE_FILENAME"/>]</param>
      <param name="priority"><xsl:value-of select="gs:getPriorityValue($PRIORITY)"/></param>
      
      <step agent="mxf_create_index" id="mxf_index">
        <param name="title">Index for MXF [<xsl:value-of select="$SOURCE_FILENAME"/>]</param>
        <param name="source_filename_list"><xsl:value-of select="$SOURCE_FILENAME"/></param>
        <param name="index_filename_list"><xsl:value-of select="$INDEX_FILENAME"/></param>
        <param name="key_filename_list"><xsl:value-of select="$KEY_FILENAME"/></param>
        <param name="org_unit"><xsl:value-of select="$ORGUNIT"/></param>
        <param name="hold_in_cache">yes</param>
      </step>
      
   </job>

  </xsl:template>
</xsl:stylesheet>
  
            