#!/usr/bin/python

import sys, subprocess, os
import xml.etree.ElementTree as et

homePath="-DADMIRA_HOME="+os.environ['ADMIRA_HOME']
javaFunc="COM.ibm.dma.admira.cmd.tools.StorageDataExporter"

argv = sys.argv
argc = len(argv)

# print argc, argv

def get_tapelist(tapename, filename) :
	subprocess.check_call(["java", homePath, javaFunc, "tape_directory", tapename, filename])

def get_elements(tapename):
	'Extract XML tree of "tapename"'
	filename="./"+tapename+".txt"
	get_tapelist(tapename, filename)
	elements=et.parse(filename)
#	os.remove(filename)
	return elements

def make_sorted_list(tapename, fList):
	cart=get_elements(tapename)
	files=cart.getiterator("file")
	for i in files:
		if i.get("state")=="0":
			fList.append([i.get("essence_name"),i.get("essence_size")])
	fList.sort()

def print_unmatch(ls1,ls2):
	for i in ls1:
		found=False
		for j in ls2:
			if i==j:
				found=True
				break
		if not found :
			print_stderr("Logging - "+format(i))
		
def print_stderr(str):
	sys.stderr.write(str+'\n')
	sys.stderr.flush()	
				

if __name__ == "__main__":

	if argc == 4 and argv[1]=='':
		carts=argv[3].partition(' ')
	elif argc == 3:
		carts=(argv[1],'',argv[2])
	else:
		print_stderr("Error - invalid parameters")
		print_stderr("Error - "+format(argc)+format(argv))
		sys.exit(-1)

	fList1=[]
	fList2=[]

	make_sorted_list(carts[0], fList1)
	make_sorted_list(carts[2], fList2)

	if fList1 == fList2:
		print_stderr("Status - match!")
		sys.exit(0)
	else:
		print_stderr( "Error - unmatch")
		print_stderr("Logging - only in "+carts[0])
		print_unmatch(fList1, fList2)
		print_stderr( "Logging - only in "+carts[2])
		print_unmatch(fList2, fList1)
		if argc==4:
			print_stderr( "Error - the list of files doesn't match - try to run /home/dmae/manager/opt/extcmd/extcmd_files_in_tape.py "+carts[0]+" "+carts[2]+" to get the list of differencies")
		sys.exit(-2)

